com.google.gwt.event.logical.shared

## Class ResizeEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<ResizeHandler>
    - - com.google.gwt.event.logical.shared.ResizeEvent

    public class ResizeEvent
    extends GwtEvent<ResizeHandler>

Fired when the event source is resized.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

`GwtEvent.Type<H>`

### Constructor Summary

Constructors
`protected` `ResizeEvent(int width, int height)` Construct a new `ResizeEvent`.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected void` `dispatch(ResizeHandler handler)` Should only be called by `HandlerManager`.
`static <S extends HasResizeHandlers & HasHandlers> void` `fire(S source, int width, int height)` Fires a resize event on all registered handlers in the handler source.
`GwtEvent.Type<ResizeHandler>` `getAssociatedType()` Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.
`int` `getHeight()` Returns the new height.
`static GwtEvent.Type<ResizeHandler>` `getType()` Ensures the existence of the handler hook and then returns it.
`int` `getWidth()` Returns the new width.
`java.lang.String` `toDebugString()` This is a method used primarily for debugging.

### Methods inherited from class com.google.gwt.event.shared.GwtEvent

`assertLive, getSource, isLive, kill, revive`

### Methods inherited from class com.google.web.bindery.event.shared.Event

`setSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ResizeEvent

    protected ResizeEvent(int width,
                          int height)

Construct a new `ResizeEvent`.

Parameters:
  `width` - the new width
  `height` - the new height

### Method Detail

#### fire

    public static <S extends HasResizeHandlers & HasHandlers> void fire(S source,
                                                                        int width,
                                                                        int height)

Fires a resize event on all registered handlers in the handler source.

Type Parameters:
  `S` - The handler source
Parameters:
  `source` - the source of the handlers
  `width` - the new width
  `height` - the new height

#### getType

    public static GwtEvent.Type<ResizeHandler> getType()

Ensures the existence of the handler hook and then returns it.

Returns:
  returns a handler hook

#### getAssociatedType

    public final GwtEvent.Type<ResizeHandler> getAssociatedType()

Description copied from class: `Event`
Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.

Specified by:
  `getAssociatedType` in class `GwtEvent<ResizeHandler>`
Returns:
  the type

#### getHeight

    public int getHeight()

Returns the new height.

Returns:
  the new height

#### getWidth

    public int getWidth()

Returns the new width.

Returns:
  the new width

#### toDebugString

    public java.lang.String toDebugString()

Description copied from class: `Event`
This is a method used primarily for debugging. It gives a string representation of the event details. This does not override the toString method because the compiler cannot always optimize toString out correctly. Event types should override as desired.

Overrides:
  `toDebugString` in class `Event<ResizeHandler>`
Returns:
  a string representing the event's specifics.

#### dispatch

    protected void dispatch(ResizeHandler handler)

Description copied from class: `GwtEvent`
Should only be called by `HandlerManager`. In other words, do not use or call.

Specified by:
  `dispatch` in class `GwtEvent<ResizeHandler>`
Parameters:
  `handler` - handler
See Also:
  `EventBus.dispatchEvent(Event, Object)`